Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001112KdenliveFile Loadingpublic2009-09-01 21:062010-09-22 17:53
ReporterGranjow 
Assigned Toj-b-m 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target Version0.7.6Fixed in Version0.7.6 
Summary0001112: Crash when loading project
DescriptionProgram received signal SIGSEGV, Segmentation fault.
0xb77458a2 in QDomNode::QDomNode(QDomNodePrivate*) () from /usr/lib/libQtXml.so.4
(gdb) where
#0 0xb77458a2 in QDomNode::QDomNode(QDomNodePrivate*) () from /usr/lib/libQtXml.so.4
#1 0xb775159e in QDomNodeList::item(int) const () from /usr/lib/libQtXml.so.4
0000002 0x08162de6 in QDomNodeList::at (this=0x92b7174, ix=-1, effect=...) at /usr/include/qt4/QtXml/qdom.h:265
0000003 EffectsList::insert (this=0x92b7174, ix=-1, effect=...) at /data/cworkspace/kdenlive/src/effectslist.cpp:231
0000004 0x08151891 in ClipItem::addEffect (this=0x92b7088, effect=..., animate=false) at /data/cworkspace/kdenlive/src/clipitem.cpp:1275
0000005 0x080f0662 in TrackView::slotAddProjectTrack (this=0x92404c0, ix=0, xml=..., locked=false)
    at /data/cworkspace/kdenlive/src/trackview.cpp:577
0000006 0x080f5bad in TrackView::parseDocument (this=0x92404c0, doc=...) at /data/cworkspace/kdenlive/src/trackview.cpp:232
0000007 0x080f937d in TrackView (this=0x92404c0, doc=0x8946138, ok=0xbfffcd47, parent=0x8334680)
    at /data/cworkspace/kdenlive/src/trackview.cpp:103
0000008 0x080816c6 in MainWindow::doOpenFile (this=0x8334680, url=..., stale=0x0) at /data/cworkspace/kdenlive/src/mainwindow.cpp:1489
0000009 0x08093175 in MainWindow::openFile (this=0x8334680, url=...) at /data/cworkspace/kdenlive/src/mainwindow.cpp:1471
0000010 0x080933bc in MainWindow::openFile (this=0x8334680) at /data/cworkspace/kdenlive/src/mainwindow.cpp:1422
0000011 0x0809d836 in MainWindow::qt_metacall (this=0x8334680, _c=QMetaObject::InvokeMetaMethod, _id=10, _a=0xbfffcfac)
    at /data/cworkspace/kdenlive/build/src/cmake_bindir/mainwindow.moc:272
0000012 0xb73a9b33 in QMetaObject::activate(QObject*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000013 0xb73a9f60 in QMetaObject::activate(QObject*, QMetaObject const*, int, int, void**) () from /usr/lib/libQtCore.so.4
0000014 0xb697a311 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
0000015 0xb697b85f in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
0000016 0xb697e293 in QAction::event(QEvent*) () from /usr/lib/libQtGui.so.4
0000017 0xb7c82a69 in KAction::event(QEvent*) () from /usr/lib/libkdeui.so.5
0000018 0xb6980814 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000019 0xb698897e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000020 0xb7d6700d in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000021 0xb73949cb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000022 0xb69b94c8 in ?? () from /usr/lib/libQtGui.so.4
0000023 0xb69bb35f in ?? () from /usr/lib/libQtGui.so.4
0000024 0xb6989c00 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
0000025 0xb7d6700d in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
0000026 0xb73949cb in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
0000027 0xb698169e in ?? () from /usr/lib/libQtGui.so.4
0000028 0xb6a1ce40 in ?? () from /usr/lib/libQtGui.so.4
0000029 0xb6a1ef14 in ?? () from /usr/lib/libQtGui.so.4
0000030 0xb69f5389 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
0000031 0xb6a20892 in ?? () from /usr/lib/libQtGui.so.4
0000032 0xb60ab4b8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000033 0xb60aea13 in ?? () from /usr/lib/libglib-2.0.so.0
0000034 0xb60aeb98 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000035 0xb73bf858 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000036 0xb6a1ffd5 in ?? () from /usr/lib/libQtGui.so.4
0000037 0xb739301a in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000038 0xb7393462 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
0000039 0xb73958b9 in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
0000040 0xb6980697 in QApplication::exec() () from /usr/lib/libQtGui.so.4
0000041 0x0807ebbd in main (argc=1, argv=0xbffff404) at /data/cworkspace/kdenlive/src/main.cpp:86
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files? file icon AC-Moves4.kdenlive [^] (370,894 bytes) 2009-09-01 21:06

- Relationships

-  Notes
(0003842)
j-b-m (administrator)
2009-09-01 22:33

Ok, the crash is related to th speed effect, I am working on the issue right now.
(0003843)
j-b-m (administrator)
2009-09-01 22:51

Should be fixed now in svn rev. 3867
(0003851)
Granjow (developer)
2009-09-02 15:37

Working, thank you very much!

- Issue History
Date Modified Username Field Change
2009-09-01 21:06 Granjow New Issue
2009-09-01 21:06 Granjow File Added: AC-Moves4.kdenlive
2009-09-01 21:06 Granjow Build/Install Method => Manual build from SVN
2009-09-01 22:33 j-b-m Note Added: 0003842
2009-09-01 22:33 j-b-m Assigned To => j-b-m
2009-09-01 22:33 j-b-m Status new => acknowledged
2009-09-01 22:51 j-b-m Note Added: 0003843
2009-09-01 22:51 j-b-m Status acknowledged => feedback
2009-09-02 15:37 Granjow Note Added: 0003851
2009-09-02 15:37 Granjow Status feedback => resolved
2009-09-02 15:37 Granjow Resolution open => fixed
2009-09-02 15:37 Granjow Fixed in Version => Recent git
2009-09-10 01:39 xzhayon Target Version => future version
2009-10-08 20:20 j-b-m Fixed in Version Recent git => 0.7.6
2010-02-02 10:35 j-b-m Fixed in Version 0.7.6 => 0.7.7
2010-02-02 10:37 j-b-m Fixed in Version 0.7.7 => 0.7.6
2010-02-02 10:38 j-b-m Status resolved => closed
2010-09-22 17:53 Granjow Target Version future version => 0.7.6


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker